lkml.org 
[lkml]   [2003]   [Mar]   [14]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: make modules_install fail: depmod *** Unresolved symbols (official
On Fri, 14 Mar 2003 16:16:45 +0200
Martin Schlemmer <azarah@gentoo.org> wrote:

> On Fri, 2003-03-14 at 16:03, bonganilinux@mweb.co.za wrote:
> > > Granada, 14-3-2002
> > >
> > > Hello, I downloaded kernel 2.4.20 and compiled it sucessfully a month
> > > ago without any aparent problem. Yesterday I tried to compile it again
> > > in the same computer just changing a couple of small things in the
> > > configuration (agpart and the network card changed from "module" to
> > > "yes").
> > >
> > > make dep, make bzImage and make modules went apparently well (expect for
> > > a few apparently non-important warnings with bzImage of the type
> > > Warning: indirect call without '*' when compiling pci-pc and apm).
> > >
> > > But when I try make modules_install, I've got a lot of error messages.
> > > For each module I've got one line like:
> > >
> > > depmod: *** Unresolved symbols in
> > > /lib/modules/2.4.20/kernel/arch/i386/kernel/microcode.o
> > >
> > > followed by a number of lines of the type
> > >
> > > depmod: misc_deregister
> > > depmod: __generic_copy_from_use
> > > depmod: .....
> >
> > Download, compile and install Rusty's latest module-init-tools
> > ftp.kernel.org/pub/linux/kernel/people/rusty/modules
> >
>
> Errr, he got 2.4.20, not 2.5.48+ ....
>
> Miguel: Not a real fix, but try compiling microcode.o into the
> kernel and not as a module ...
>
>

Oops sorry I missed that (I've seen to many depmod errors after a cooker update
and 2.5 compile bad me :{ )
[unhandled content-type:application/pgp-signature]
\
 
 \ /
  Last update: 2005-03-22 13:33    [W:0.033 / U:3.880 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site